ever time I try to log in it says
your not running the right version.try again another patch may be on the way
and when I hit update nothing happens.
so do I need to DL glyph again? our something